<?php
/**********************************************************************/
# Title: MW- ver. 4.1
# Copyright By  Moy-weB  (http://moyweb.moy.su)
# Изготовлениш шаблонов (скинов), разработка дизайна, написание скриптов
# Версия для Lineage-II
# Corsar, I-Andi (2009)
/**********************************************************************/
require_once("header.php");
echo "<br><h3>Данные вашего вер-сервера</h3><hr><br>"; 
	$res = "<table>";
	$res .= "<tr><td>Версия PHP:</td><td><font color='#55f'><i>".phpversion()."</i></font></td></tr>";
	$res .= "<tr><td>register_globals:</td><td>".((ini_get("register_globals")==1) ? "<font color='red'><i>Включено</i></font>" : "<font color='green'><i>Выключено</i></font>")."</td></tr>";
	$res .= "<tr><td>safe_mode:</td><td>".((ini_get('safe_mode') == 1) ? "<font color='green'><i>Включено</i></font>" : "<font color='red'><i>Выключено</i></font>")."</td></tr>";
	$res .= "<tr><td>Menory_limit:</td><td><font color='#55f'><i>".(ini_get('memory_limit') ? ini_get('memory_limit') : "0M")."</i></font></td></tr>";
	$res .= "</table>";
	echo $res ;
	echo "<br><hr>";
///////////////////////////////////////////////////

   $important_files = array(
	'../config/',
	'../config/game/',
	'../config/login/',
	'../config/forum.php',	
	'../data/', 
	'../data/votes/',
	'../data/content/', 
	'../data/file/', 
	'../data/images/', 
	'../data/menu.csv', 
	'../data/messages.csv', 
	'../data/reklama.php', 
	
	);
echo "<h3>CHMOD (права на запись)</h3><hr>На эти файлы и папки нужно выставить права, указанные в колонке (CHMOD)<br><br>";    
echo "<table width='100%'>
<tr>
<td height='25' align=left>&nbsp;<b>Папка/Файл</b></td>
<td width='60' height='25'>&nbsp;<b>CHMOD</b></td>
<td width='100' height='25'>&nbsp;<b>Статус</b></td>
	</tr>";
    $chmod_errors = 0;
    $not_found_errors = 0;
    foreach ($important_files as $file)
    {

        if (!file_exists($file))
        {
            $file_status = "<font color=red>не найден!</font>";
            $not_found_errors++;
        } elseif (is_writable($file))
        {
            $file_status = "<font color=green>разрешено</font>";
        }
        else
        {
            @chmod($file, 0777);
            if (is_writable($file))
            {
                $file_status = "<font color=green>разрешено</font>";
            }
            else
            {
                @chmod("$file", 0755);
                if (is_writable($file))
                {
                    $file_status = "<font color=green>разрешено</font>";
                }
                else
                {
                    $file_status = "<font color=red>запрещено</font>";
                    $chmod_errors++;
                }
            }
        }
        $chmod_value = @decoct(@fileperms($file)) % 1000;

        echo "
	<tr>
         <td height='22' align=left>&nbsp;$file</td>
         <td>&nbsp; $chmod_value</td>
         <td>&nbsp; $file_status</td>
    </tr>";
    }
    if ($chmod_errors == 0 and $not_found_errors == 0)
    {
        $status_report = '<span style="color: green;">Всё в порядке, можно работать!</span>';
    }
    else
    {
        if ($chmod_errors > 0)
        {
            $status_report = "<font color=red>Внимание!!!</font><br /><br />Во время проверки обнаружены ошибки: <b>$chmod_errors</b>. Запрещена запись в файл.<br />Вы должны выставить для папок CHMOD 777, для файлов CHMOD 666, используя ФТП-клиент.<br /><br /><font color=red><b>Настоятельно рекомендуется</b></font>исправить!<br />";
        }
        if ($not_found_errors > 0)
        {
            $status_report .= "<font color=red>Внимание!!!</font><br />Во время проверки обнаружены ошибки: <b>$not_found_errors</b>. Файлы не найдены!<br />";
        }
    }
    echo "
<tr>
	<td height='25' colspan=3>&nbsp;&nbsp;Состояние проверки</td>
</tr>
<tr>
	<td style='padding: 5px' colspan='3'>$status_report</td>
</tr>    
</table> ";
//////////////////////////////////////////
	
require_once("footer.php");    
?>